Skip to content
Permalink
Browse files

refactor(packager): move the electron-packager dependency to forge in…

…stead of the users module
  • Loading branch information
MarshallOfSound committed Dec 3, 2016
1 parent 026141c commit 2e695c2166dc4a25c3726f03d4bb1de856a1b687
Showing with 3 additions and 2 deletions.
  1. +1 −0 package.json
  2. +1 −1 src/electron-forge-package.js
  3. +1 −1 src/init/init-npm.js
@@ -56,6 +56,7 @@
"bluebird": "^3.4.6",
"colors": "^1.1.2",
"commander": "^2.9.0",
"electron-packager": "^8.3.0",
"fs-promise": "^0.5.0",
"inquirer": "^1.2.1",
"log-symbols": "^1.0.2",
@@ -3,6 +3,7 @@ import asar from 'asar';
import fs from 'fs-promise';
import path from 'path';
import pify from 'pify';
import packager from 'electron-packager';
import program from 'commander';
import ora from 'ora';

@@ -44,7 +45,6 @@ const main = async () => {
const arch = program.arch || process.arch;
const platform = program.platform || process.platform;

const packager = require(path.resolve(dir, 'node_modules/electron-packager')); // eslint-disable-line
const packageOpts = {
asar: true,
overwrite: true,
@@ -6,7 +6,7 @@ import username from 'username';
import installDepList from '../util/install-dependencies';

const deps = [];
const devDeps = ['babel-preset-stage-0', 'electron-packager'];
const devDeps = ['babel-preset-stage-0'];
const exactDevDeps = ['electron-prebuilt-compile'];
const standardDeps = ['standard'];
const airbnDeps = ['eslint', 'eslint-config-airbnb', 'eslint-plugin-import',

0 comments on commit 2e695c2

Please sign in to comment.
You can’t perform that action at this time.